// Code generated by protoc-gen-go. DO NOT EDIT.
// source: create.proto

package types

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CreateRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Age                  int32    `protobuf:"varint,2,opt,name=age,proto3" json:"age,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateRequest) Reset()         { *m = CreateRequest{} }
func (m *CreateRequest) String() string { return proto.CompactTextString(m) }
func (*CreateRequest) ProtoMessage()    {}
func (*CreateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_a4d26d5dcda09a78, []int{0}
}

func (m *CreateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateRequest.Unmarshal(m, b)
}
func (m *CreateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateRequest.Marshal(b, m, deterministic)
}
func (m *CreateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateRequest.Merge(m, src)
}
func (m *CreateRequest) XXX_Size() int {
	return xxx_messageInfo_CreateRequest.Size(m)
}
func (m *CreateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateRequest proto.InternalMessageInfo

func (m *CreateRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *CreateRequest) GetAge() int32 {
	if m != nil {
		return m.Age
	}
	return 0
}

type CreateResponse struct {
	Res                  []*CreateRequest `protobuf:"bytes,1,rep,name=res,proto3" json:"res,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *CreateResponse) Reset()         { *m = CreateResponse{} }
func (m *CreateResponse) String() string { return proto.CompactTextString(m) }
func (*CreateResponse) ProtoMessage()    {}
func (*CreateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_a4d26d5dcda09a78, []int{1}
}

func (m *CreateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateResponse.Unmarshal(m, b)
}
func (m *CreateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateResponse.Marshal(b, m, deterministic)
}
func (m *CreateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateResponse.Merge(m, src)
}
func (m *CreateResponse) XXX_Size() int {
	return xxx_messageInfo_CreateResponse.Size(m)
}
func (m *CreateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateResponse proto.InternalMessageInfo

func (m *CreateResponse) GetRes() []*CreateRequest {
	if m != nil {
		return m.Res
	}
	return nil
}

func init() {
	proto.RegisterType((*CreateRequest)(nil), "v1.CreateRequest")
	proto.RegisterType((*CreateResponse)(nil), "v1.CreateResponse")
}

func init() {
	proto.RegisterFile("create.proto", fileDescriptor_a4d26d5dcda09a78)
}

var fileDescriptor_a4d26d5dcda09a78 = []byte{
	// 206 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0xe2, 0x49, 0x2e, 0x4a, 0x4d,
	0x2c, 0x49, 0xd5, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17, 0x62, 0x2a, 0x33, 0x54, 0x32, 0xe5, 0xe2,
	0x75, 0x06, 0x8b, 0x05, 0xa5, 0x16, 0x96, 0xa6, 0x16, 0x97, 0x08, 0x09, 0x71, 0xb1, 0xe4, 0x25,
	0xe6, 0xa6, 0x4a, 0x30, 0x2a, 0x30, 0x6a, 0x70, 0x06, 0x81, 0xd9, 0x42, 0x02, 0x5c, 0xcc, 0x89,
	0xe9, 0xa9, 0x12, 0x4c, 0x0a, 0x8c, 0x1a, 0xac, 0x41, 0x20, 0xa6, 0x92, 0x29, 0x17, 0x1f, 0x4c,
	0x5b, 0x71, 0x41, 0x7e, 0x5e, 0x71, 0xaa, 0x90, 0x32, 0x17, 0x73, 0x51, 0x6a, 0xb1, 0x04, 0xa3,
	0x02, 0xb3, 0x06, 0xb7, 0x91, 0xa0, 0x5e, 0x99, 0xa1, 0x1e, 0x8a, 0xb9, 0x41, 0x20, 0x59, 0x23,
	0x1f, 0x98, 0x6d, 0xc1, 0xa9, 0x45, 0x65, 0x99, 0xc9, 0xa9, 0x42, 0xd6, 0x5c, 0x42, 0x10, 0x81,
	0xb0, 0xc4, 0x9c, 0xd2, 0x54, 0xcf, 0xbc, 0xe0, 0x1c, 0x90, 0x28, 0xa6, 0x76, 0x29, 0x21, 0x64,
	0x21, 0x88, 0x95, 0x4e, 0x06, 0x51, 0x7a, 0xe9, 0x99, 0x25, 0x39, 0x89, 0x49, 0x7a, 0xc9, 0xf9,
	0xb9, 0xfa, 0xc5, 0x89, 0xb9, 0x05, 0x39, 0xa9, 0xba, 0xe9, 0x45, 0x05, 0xc9, 0xfa, 0x60, 0xff,
	0x15, 0xeb, 0x97, 0x24, 0x16, 0xe8, 0xc2, 0x98, 0x95, 0x05, 0xa9, 0xc5, 0x49, 0x6c, 0x60, 0x9e,
	0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0xc6, 0xbe, 0x06, 0xf0, 0x08, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// CreateServiceClient is the client API for CreateService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CreateServiceClient interface {
	CreateValueInSlice(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error)
}

type createServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewCreateServiceClient(cc grpc.ClientConnInterface) CreateServiceClient {
	return &createServiceClient{cc}
}

func (c *createServiceClient) CreateValueInSlice(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error) {
	out := new(CreateResponse)
	err := c.cc.Invoke(ctx, "/v1.CreateService/CreateValueInSlice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CreateServiceServer is the server API for CreateService service.
type CreateServiceServer interface {
	CreateValueInSlice(context.Context, *CreateRequest) (*CreateResponse, error)
}

// UnimplementedCreateServiceServer can be embedded to have forward compatible implementations.
type UnimplementedCreateServiceServer struct {
}

func (*UnimplementedCreateServiceServer) CreateValueInSlice(ctx context.Context, req *CreateRequest) (*CreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateValueInSlice not implemented")
}

func RegisterCreateServiceServer(s *grpc.Server, srv CreateServiceServer) {
	s.RegisterService(&_CreateService_serviceDesc, srv)
}

func _CreateService_CreateValueInSlice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CreateServiceServer).CreateValueInSlice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/v1.CreateService/CreateValueInSlice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CreateServiceServer).CreateValueInSlice(ctx, req.(*CreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _CreateService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "v1.CreateService",
	HandlerType: (*CreateServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateValueInSlice",
			Handler:    _CreateService_CreateValueInSlice_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "create.proto",
}
